%define __distdep %(rpm -qf /etc/redhat-release | sed 's/-[^-]*$//' | head -1)
%define __distpkg %(echo %{__distdep} | sed 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | sed 's/.*-//' | tr -d '[:alpha:]')
%define __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | tr -d '[:space:]' | cut -c 1-4 | tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`perl -V:version`"; echo $version)
%define __perl_package Mail-Sendmail

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	0.79
Release:	1.%{__distinit}%{__distvers}
License:	BSD-ish
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}
BuildArch:	noarch

%description
Simple platform independent e-mail from your perl script. Only requires Perl 5 and a network connection.

Mail::Sendmail contains mainly &sendmail, which takes a hash with the message to send and sends it.
It is intended to be very easy to setup and use.

%prep
%setup -q -n %{__perl_package}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" | \
    grep -v perllocal.pod | \
    grep -v "\.packlist" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc README* MANIFEST Changes Sendmail.html

%changelog
* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 0.79-1
- Initial build
